Ядро (kernel 2.6.6)

Cent OS, Scientific Linux

Модераторы: broom, Модераторы разделов

Аватара пользователя
B@RT
Сообщения: 116

Ядро

Сообщение B@RT » 15.05.2004 01:21

Я не знал, в какой раздел это внести, решил, что сюда больше всего подходит... Админам - создайте раздел о Ядре....

Вобщем моя пробла (вечно у меня что-то не так.... :huh: ):
Взял 2.6.6 stable - полная стабильная версия. Собрал, долго мучал настройки, отобран нужное. Все, загружаюсь и тут та началось....

Ремарка: у меня 2 жестиких. Maxtor на 20 гиг и Baracuda SiGate на 80.

Вобщем при загрузке ядро быстро познакомилось с баракудой и как повисло, определяя другой жесткий. Ну я решил подождать. Вобщем я дро 3 раза выдало "потеряно ......" я не помню, как это звучит, я точно запомнил перевод (я плохо знаю анг. орфографию). "latest i....." - что-то в этом роде....
Вобщем 10 минут ядро насиловало оборудование и запустило иксы с boot splash. Там появилсь надпись "монтируютса локальные диски" и камп заснул минут на 15. Радил.... что-то там пописал и как повис. Я замочил boot splash 3 волшебными кнопками и увидел следующее: он почему-то пыталса подключить какой-то драйвер acpiToshibs-acpi.ko. После написал, что оборудование не найдено. Подом долго монтировал пространство свопинга и больше ничего грузить не стал. Я ждал 30 мин - глухо!
Что это за геморой? Зачем включать в ядро дрова, которые не используютса? Как мне нормально поставить и откомпилить новое ядро?
Добавлено в 15.05.2004 01:23
там вроде было не latest, а "lost i...."
Спасибо сказали:

Аватара пользователя
Xenon
Бывший модератор
Сообщения: 359
ОС: Debian

Re: Ядро

Сообщение Xenon » 16.05.2004 16:23

ВО-первых, форума по ядру отдельного не надо. ПОст нужно сувать в раздел с названием Дистра, который ты юзаешь. Проблему так просто решить сложно, т.к. ты я не понял, что у тебя там творилось. Введи dmesg и скопируй сюда.
PS. Так дистр какой ?
Спасибо сказали:

Аватара пользователя
Jan2ary
Бывший модератор
Сообщения: 630
Статус: Тщедушный очкарик

Re: Ядро

Сообщение Jan2ary » 16.05.2004 16:41

А тебе этот драйвер нужен? У тебя Toshiba?
Кокретнее, что потеряно?
Не шалю, никого не трогаю, починяю примус...
Спасибо сказали:

Аватара пользователя
B@RT
Сообщения: 116

Re: Ядро

Сообщение B@RT » 16.05.2004 21:12

Итак, у меня FC1.
Что происходит - он неможет нормально прочитать и смонтировать мой hdd maxtor на 20 гиг.
Нет, у меня не тошиба, но каким мокаром она попала в конфиг адра я не знаю...

Можно уже не мучатьса, я нашел специальный rpm пакет для федоры....
Спасибо сказали:

Аватара пользователя
Xenon
Бывший модератор
Сообщения: 359
ОС: Debian

Re: Ядро

Сообщение Xenon » 17.05.2004 22:13

Так что было , Я не понял.
Спасибо сказали:

Аватара пользователя
B@RT
Сообщения: 116

Re: Ядро

Сообщение B@RT » 17.05.2004 22:22

Я и сам не понял, че было, но эту проблему уже порешили, теперь другая :)
Скачал же я этот rpm, поставил. Теперь ядро проходит загрузку дальше и останавливаетса на строчке "освобождение неиспользованной памяти ядра : 177 кб" (это я перевел). И ядро перестает грузитьса, хотя отвечает на команду Ctr+Alt+Del.

Вобщем ждем FC2, с нормальным ядром.....
Спасибо сказали:

Аватара пользователя
Xenon
Бывший модератор
Сообщения: 359
ОС: Debian

Re: Ядро

Сообщение Xenon » 17.05.2004 22:24

Ядро 2.6.6 ставить - это ты загнул конечно. Имхо, из всей ветки, пока самый стэйбл это 2.6.3
Спасибо сказали:

Аватара пользователя
B@RT
Сообщения: 116

Re: Ядро

Сообщение B@RT » 17.05.2004 22:28

Да ну вроде качал не бетту версию. Зашел я сайт karnel, в папочку "stable", там последнее была эта версия, вот я и скачал.... Ну и тем более люблю быть пионером... :D
Спасибо сказали:

Аватара пользователя
Xenon
Бывший модератор
Сообщения: 359
ОС: Debian

Re: Ядро

Сообщение Xenon » 17.05.2004 22:30

Пионерятся пусть дедьки гуру :) А ты лучшая попробуй 2.6.3....хоят если не в лом, подожди 2 коры федьковской
Спасибо сказали:

Аватара пользователя
B@RT
Сообщения: 116

Re: Ядро

Сообщение B@RT » 17.05.2004 22:39

А кто знает, что означает fedora code?
Спасибо сказали:

Аватара пользователя
serg_sk
Бывший модератор
Сообщения: 2749
Статус: <3 Anime
ОС: Gentoo Linux <3

Re: Ядро

Сообщение serg_sk » 13.06.2004 20:02

Проблемма с обновлением ядра своего RH9 до 2.6.6!!! При попытке установить module-init-tools система выдает такую ошибку:

Код: Выделить всё

rpm -i module-init-tools-0.9.15-0.pre4.1.i686.rpm
предупреждение: module-init-tools-0.9.15-0.pre4.1.i686.rpm: подпись DSA V3: NOKEY, key ID e01260f1
        файл /sbin/depmod из устанавливаемого пакета module-init-tools-0.9.15-0.pre4.1 конфликтует с файлом из пакета modutils-2.4.26-1
        файл /sbin/insmod из устанавливаемого пакета module-init-tools-0.9.15-0.pre4.1 конфликтует с файлом из пакета modutils-2.4.26-1
        файл /sbin/lsmod из устанавливаемого пакета module-init-tools-0.9.15-0.pre4.1 конфликтует с файлом из пакета modutils-2.4.26-1
        файл /sbin/modinfo из устанавливаемого пакета module-init-tools-0.9.15-0.pre4.1 конфликтует с файлом из пакета modutils-2.4.26-1
        файл /sbin/modprobe из устанавливаемого пакета module-init-tools-0.9.15-0.pre4.1 конфликтует с файлом из пакета modutils-2.4.26-1
        файл /sbin/rmmod из устанавливаемого пакета module-init-tools-0.9.15-0.pre4.1 конфликтует с файлом из пакета modutils-2.4.26-1
        файл /usr/share/man/man8/depmod.8.gz из устанавливаемого пакета module-init-tools-0.9.15-0.pre4.1 конфликтует с файлом из пакета modutils-2.4.26-1
        файл /usr/share/man/man8/insmod.8.gz из устанавливаемого пакета module-init-tools-0.9.15-0.pre4.1 конфликтует с файлом из пакета modutils-2.4.26-1
        файл /usr/share/man/man8/lsmod.8.gz из устанавливаемого пакета module-init-tools-0.9.15-0.pre4.1 конфликтует с файлом из пакета modutils-2.4.26-1
        файл /usr/share/man/man8/modinfo.8.gz из устанавливаемого пакета module-init-tools-0.9.15-0.pre4.1 конфликтует с файлом из пакета modutils-2.4.26-1
        файл /usr/share/man/man8/modprobe.8.gz из устанавливаемого пакета module-init-tools-0.9.15-0.pre4.1 конфликтует с файлом из пакета modutils-2.4.26-1
        файл /usr/share/man/man8/rmmod.8.gz из устанавливаемого пакета module-init-tools-0.9.15-0.pre4.1 конфликтует с файлом из пакета modutils-2.4.26-1

Ну и че мне с етим делать??? Скажите хоть в какую сторону копать!!! Плиzzz...
Не ждали?! А я приперся!
Помойка Gentoo'шника
-------
Спасибо сказали:

Аватара пользователя
Neptune
Сообщения: 35

Re: Ядро

Сообщение Neptune » 13.06.2004 20:51

А кричать зачем?

Проблемы-то никакой нет :)
rpm -e modutils
rpm -Uhv module-init-tools-0.9.15-0.pre4.1.i686.rpm
Спасибо сказали:

sdk
Бывший модератор
Сообщения: 210

Re: Ядро

Сообщение sdk » 13.06.2004 20:56

2serg_sk
Это значит, что пакет modutils, содержит те же файлы, что и module-init-tools, только они другой версии.
Решение: сначала удалить старую версию (rpm -e modutils), и после этого уже поставить новую.
Только не спеши! Может тебе и не надо ставить этот module-init-tools (во всяком случае это правда для SuSe). Я не Шапочник, так что подожди, пока ответит кто-нибудь более знающий этот дистриб.
Фишка в том поддерживают ли проги из пакета modutils работу с ядреными модулями, имеющими новый формат.
Серьезность - это способ сделать простые вещи сложными.
Если много знать - устанут глаза. Если много спать - то нет.
Нас никому не сбить с пути - нам пофигу куда идти.
:-)
Спасибо сказали:

Аватара пользователя
serg_sk
Бывший модератор
Сообщения: 2749
Статус: <3 Anime
ОС: Gentoo Linux <3

Re: Ядро

Сообщение serg_sk » 14.06.2004 13:43

2Neptune: Пробовал не получается! modutils нужен для кучи пакетов и система не хочет его удалять!!! Так че мне делать???
Не ждали?! А я приперся!
Помойка Gentoo'шника
-------
Спасибо сказали:

Аватара пользователя
Neptune
Сообщения: 35

Re: Ядро

Сообщение Neptune » 14.06.2004 14:00

Для начала НЕ ОРАТЬ :angry:
забей на то что она ругается.
Сделай rpm -e --nodeps modutils
и сразу установи rpm -Uhv module-init-tools-0.9.15-0.pre4.1.i686.rpm
Спасибо сказали:

Аватара пользователя
serg_sk
Бывший модератор
Сообщения: 2749
Статус: <3 Anime
ОС: Gentoo Linux <3

Re: Ядро

Сообщение serg_sk » 14.06.2004 14:22

Попробую! И еще установил я вчера module-init-tools с каким-то параметром что переписывает текущие файлы начал установку ядра а оно мне выдало:

Код: Выделить всё

All of your loopback devices are in use

И чк это такое?
После этого новое ядро не стало и старое перестало грузиться вот переустановил систему!
Не ждали?! А я приперся!
Помойка Gentoo'шника
-------
Спасибо сказали:

Аватара пользователя
Mitya-ncc
Сообщения: 268
Статус: Живущий тут

Re: Ядро

Сообщение Mitya-ncc » 15.06.2004 00:50

(serg_sk @ Понедельник, 14 Июня 2004, 12:43) писал(а):2Neptune: Пробовал не получается! modutils нужен для кучи пакетов и система не хочет его удалять!!! Так че мне делать???

попробуй или --nodeps или --force ...
В одном мгновеньи – видеть вечность,
Огромный мир в горсти песка,
В одной песчинке – бесконечность,
И небо в чашечке цветка.
Спасибо сказали:

Аватара пользователя
serg_sk
Бывший модератор
Сообщения: 2749
Статус: <3 Anime
ОС: Gentoo Linux <3

Re: Ядро

Сообщение serg_sk » 15.06.2004 12:11

Ну установил, а че с этим делать?

Код: Выделить всё

All of your loopback devices are in use
Не ждали?! А я приперся!
Помойка Gentoo'шника
-------
Спасибо сказали: